ModelSell Docs
VideosKling

Text to Video

Create Kling text-to-video tasks with /kling/v1/videos/text2video and query task status or task lists.

Use this endpoint for Kling 3.0 & 3.0 Omni, Kling 2.6, Kling 2.5 Turbo, Kling 2.1 Master, Kling 2.0 Master, Kling 1.6, and Kling 1.0. For Kling 3.0 Turbo, use Kling 3.0 Turbo Tasks.

Create Task

MethodPath
POST/kling/v1/videos/text2video

Headers

Content-Type: application/json
Authorization: Bearer {apikey}

Body Notes

FieldNotes
model_nameKling model name, such as kling-v3, kling-v2-6, or kling-v1-6.
promptPositive prompt.
negative_promptOptional negative prompt.
cfg_scaleOptional prompt adherence.
modeGeneration mode supported by the selected model.
durationVideo duration supported by the selected model.
aspect_ratioOutput aspect ratio.
callback_urlOptional task callback URL.

cURL

curl --location "$KLING_BASE_URL/kling/v1/videos/text2video" \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer $KLING_API_KEY" \
  --data '{
    "model_name": "kling-v2-6",
    "prompt": "A cat runs through a neon street on a rainy night.",
    "negative_prompt": "blurry, low quality",
    "duration": "5",
    "aspect_ratio": "16:9"
  }'

Query Task

curl "$KLING_BASE_URL/kling/v1/videos/text2video/{id}" \
  --header "Authorization: Bearer $KLING_API_KEY"

List Tasks

curl "$KLING_BASE_URL/kling/v1/videos/text2video?pageNum=1&pageSize=30" \
  --header "Authorization: Bearer $KLING_API_KEY"

On this page